![marcy](https://images2.imgbox.com/95/7e/Y8GAEyTa_o.png)

### Modul Marceline

This character is centered around customization of your favourite guns with various Modul mods.
Current version of this mod is not final, progression may be changed in the future.

**NOTE:** It is not recommended to use all supported mods at once, as it can absolutely destroy your performance.
### Requirements:
- [TNH Tweaker](https://h3vr.thunderstore.io/package/devyndamonster/TakeAndHoldTweaker/)
- [Meats ModulAR](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAR/)

### Supported Mods
- [Meats ModulAK](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAK/)
- [Meats ModulSIG](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulSIG/)
- [Meats ModulSCAR](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulSCAR/)
- [Meats ModulAR10](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAR10/)
- [Wolfies Modul FAL](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_FAL/)
- [Wolfies Modul HK](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_HK/) 
- [Wolfies Modul Kilo141](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_Kilo141/)
- [Wolfies Modul M700](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_M700/)
- [Wolfies Modul VAL](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_VAL/) 
- [Wolfies Modul USP](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_USP/) 
- [Wolfies Modul Bizon](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_Bizon/)
- [stgbrooks ModularHK417 and NightVision](https://h3vr.thunderstore.io/package/sgtbrooks/ModularHK417_and_NightVision/)
- [Ashes ModulRPK16](https://h3vr.thunderstore.io/package/fsce/Ashes_ModulRPK16/) 
- [Arpys G3Tyaz](https://h3vr.thunderstore.io/package/Arpy/G3Tyaz/)
- [Arpys ModulAR 12.5 inch barrel](https://h3vr.thunderstore.io/package/Arpy/12_5_InchAr15/)
- [nayr31s ModulSVD](https://h3vr.thunderstore.io/package/nayr31/modulSVD/)
- [Muzzles SIG P320](https://h3vr.thunderstore.io/package/Muzzle/SIG_P320/) 
- [Muzzles Remington RSASS](https://h3vr.thunderstore.io/package/Muzzle/Remington_RSASS/)
- [Muzzles ModulAK458](https://h3vr.thunderstore.io/package/Muzzle/ModulAK458/)
- [Muzzles ModulAR Tube Handguards](https://h3vr.thunderstore.io/package/Muzzle/ModulAR_Tube_Handguards/)
- [FTW Arms Modular P226](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_P226/) 
- [FTW Arms Modular M1A](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_M1a/)
- [FTW Arms Modular Addons](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_Addons/) 
- [FTW Arms Modern Warfighter Remastered](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modern_Warfighter_Remastered/) 
- Any mod that adds new attachments (supressors, lasers, grips, etc.)
- Any mod that adds new ammo types (e.g., [Exotic 45 ACP](https://h3vr.thunderstore.io/package/Chargin/Exotic_45_ACP/), [Exotic 12g](https://h3vr.thunderstore.io/package/nayr31/Exotic_12g/) or [9mmExotic](https://h3vr.thunderstore.io/package/devyndamonster/9mmExotic/))
- And many more soon!

### Known issues
- ModulFAL: Some parts from FAL Parts pool can lock whole panel while spawning. 
- ModulM700: ESS 12 inch handguard cannot be detached from a weapon once attached.
- Some optics and lasers from [FTW Arms Modern Warfighter Remastered](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modern_Warfighter_Remastered/) are not interactable and cannot be removed from rail.
- Thermal and night optics from [FTW Arms Modern Warfighter Remastered](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modern_Warfighter_Remastered/) and NVGs from [ModularHK417 and NightVision](https://h3vr.thunderstore.io/package/sgtbrooks/ModularHK417_and_NightVision/) can cause massive frame drops.

**If you have any feedback, suggestions or questions you can contact me via Discord: LynxBite#9028**

## Changelog
- v0.4.0 (Full power update)
    - Added support for [Modul M700](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_M700/) (new M300/M556 and M700 pool, M700 Parts, M700 MDT Parts and M700 Misc(Cosmetic) Parts pools)
	- Added support for [Modular M1A](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_M1a/) (new M1A pool) 
	- Added support for [ModulSCAR](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulSCAR/) (new SCAR pool, SCAR 16 and SCAR 17 parts pools) 
	- Added support for [ModulAR10](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAR10/) (new DMR pool) 
	- Added support for [ModularHK417 and NightVision](https://h3vr.thunderstore.io/package/sgtbrooks/ModularHK417_and_NightVision/) (new DMR pool) 
	- Added support for [Remington RSASS](https://h3vr.thunderstore.io/package/Muzzle/Remington_RSASS/) (new DMR pool) 
	- Added support for [ModulSVD](https://h3vr.thunderstore.io/package/nayr31/modulSVD/) (new DMR pool) 
	- Added support for [ModulAR 12.5 inch barrel](https://h3vr.thunderstore.io/package/Arpy/12_5_InchAr15/) (AR Parts pool) 
	- Added support for [ModulAR Tube Handguards](https://h3vr.thunderstore.io/package/Muzzle/ModulAR_Tube_Handguards/) (AR Parts pool)
	- Added new custom icons for AR, Pistol and SMG pools. 
    - Moved SR25s from AR pool to new DMR pool. 
	- Fixed FAL Parts spawning 2 handguards instead of 1. 
	- Fixed SIG Parts pool appearing when ModulSIG is not installed.
	- Pistol pool on first level now spawns only standart capacity mags. 
	- Reduced supressors' cost.
	- Patrols now drop health. 
	- Decreased patrols spawn rate.
- v0.3.0 (AK Update)
    - Added support for [Modul VAL](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_VAL/) (new VAL and VAL Parts pools)
    - Added support for [G3Tyaz](https://h3vr.thunderstore.io/package/Arpy/G3Tyaz/) (SMG pool)
    - Added support for [Modul Bizon](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_Bizon/) (SMG pool)
    - Added support for [ModulAK458](https://h3vr.thunderstore.io/package/Muzzle/ModulAK458/) (new AK458 pool)
    - Removed ModulAK from hard requirements.
    - Removed some parts from FAL Parts pool.
    - Pistols now cost 1 token on first level and 2 on the second.
    - SMG pool now appears on all levels.
    - Increased health drop chance on first 2 levels. (10% -> 25%)
- v0.2.0
    - Added support for [Modul Kilo141](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_Kilo141/) (AR pool)
    - Added support for [Modul HK](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_HK/) (AR pool)
    - Added support for [ModulRPK16](https://h3vr.thunderstore.io/package/fsce/Ashes_ModulRPK16/) (AK pool)
- v0.1.0 
    - Initial release